Title1 'C_ex405a.sas   2002-7-19  Y.Takahashi' ;

data C405 ;
    input conc @@ ;
	conc2 = conc - 62.8611 ;
	do  rep = 'R1', 'R2' ;
	  input  r  n @@;
	  R1 = (rep='R1') ;
	  R2 = (rep='R2') ;
	  output ;
	end ;
datalines ;
49.06   2  29    4  30
52.99   7  30    6  30
56.91   9  28    9  34
60.84  14  27   14  29
64.76  23  30   29  33
68.69  29  31   24  28
72.61  29  30   32  32
76.54  29  29   31  31
; 

Title2  '<<< Data >>>';
proc print data=C405 ; 
    id  conc ;
    by  conc ; 
run ;

Title2 '<<< Motality of confused flour beetles, Linear >>>' ;
proc genmod data=C405 ;
	model  r/n = conc conc*conc conc*conc*conc/  link=logit dist=binomial type1 ;
	run ;

proc genmod data=C405 ;
	model  r/n =  conc conc*conc /  link=logit dist=binomial type1 ;
	run ;

proc genmod data=C405 ;
	model  r/n =  conc conc2*conc2 /  link=logit dist=binomial  type1 ;
	run ;

proc logistic data=C405 ;
    class  rep ;
	model  r/n =  conc conc*conc /  link=logit lackfit ;
	run ;

