Title 'malaria.sas   2002-10-08   Y.Takahashi' ;

data d01 ;
    input Age_group$15. mid_age y n p c_log2 ;
	log_age = log(mid_age) ;
datalines ;
 1:0-11_months    0.5   3   10  0.300 -1.03
 2:1-2_years      1.5   1   10  0.100 -2.25
 3:2-4_years      3.0   5   29  0.172 -1.66
 4:5-9_years      7.0  39   69  0.565 -0.18
 5:10-14_years   12.0  31   51  0.608 -0.07
 6:15-19_years   17.0   8   15  0.533 -0.27
 7:>=20_years    30.0  91  108  0.843  0.61
;
proc print  data=d01 ; 
run ;

proc genmod data=d01 ; 
	model  y/n =  / dist=binomial  link=cll offset=log_age  itprint;
	run ;

proc genmod data=d01 ; 
    class  age_group ;
	model  y/n =  age_group / dist=binomial  link=cll offset=log_age  noint ;
	run ;
