Title 'C_ex605_Grain_beetles.sas    2001-07-02   Y.Takahashi ' ;

data  ex105btl ;
    input  subj  conc @@ ;
    ln_conc = log(conc) ;
	input  y  n ;
datalines ;
 1  24.8  23  30
 2  24.6  30  30
 3  23.0  29  31
 4  21.0  22  30
 5  20.6  23  26
 6  18.2   7  27
 7  16.8  12  31
 8  15.8  17  30
 9  14.7  10  31
10  10.8   0  24
;

proc print data=ex105btl ; run ;

proc genmod data=ex105btl ;
	model  y / n = ln_conc  
                   / dist=binomial  link=logit
                     scale=deviance  type1  covb ;
	run ;

proc logistic data=ex105btl ;
	model  y / n = ln_conc / itprint  scale=deviance  covb lackfit;
	run ;

proc probit data=ex105btl ;
	model  y / n = ln_conc / distribution=logistic lackfit  covb  inversecl ;
    run ;


